[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-ID: <537A6909.6060700@redhat.com>
Date: Mon, 19 May 2014 15:26:49 -0500
From: Eric Sandeen <sandeen@...hat.com>
To: ext4 development <linux-ext4@...r.kernel.org>
Subject: [PATCH] e2fsprogs: don't run quota test if quota is not enabled
The default configuration still has quota disabled, but
runs the f_quota test unconditionally, so we fail by
default.
Fix that...
Signed-off-by: Eric Sandeen <sandeen@...hat.com>
---
diff --git a/tests/f_quota/script b/tests/f_quota/script
index bf25e07..d1c4b9e 100644
--- a/tests/f_quota/script
+++ b/tests/f_quota/script
@@ -1,4 +1,11 @@
AFTER_CMD='$DEBUGFS -f $test_dir/debugfs-cmds $TMPFILE 2>&1 | sed -f $cmd_dir/filter.sed > $test_name.0.log'
PASS_ZERO=true
+$TUNE2FS -h 2>&1 | grep -q quota_options
+if [ $? != 0 ] ; then
+ rm -f $TMPFILE
+ echo "$test_name: $test_description: skipped (quota not enabled)"
+ return 0
+fi
+
. $cmd_dir/run_e2fsck
--
To unsubscribe from this list: send the line "unsubscribe linux-ext4" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Powered by blists - more mailing lists